[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# EIBDatabaseError.GDSErrorCode (deprecated)

Firebird/Interbase GDS error code.

## Declaration

Source position: ibconnection.pp line 38

`public property EIBDatabaseError.GDSErrorCode : Integer read ErrorCode;`

## Description

Firebird/Interbase-specific error code, the GDS error code. From a Firebird perspective: Firebird throws 2 error codes for an exception. The high-level one is the SQLCODE, which is a negative 3-digit code. The lower-level one is the ISC code (or GDSCODE) which has 9 digits. Related ISC error types are grouped under the same SQLCODE. In some cases, each successive gdscode error gives you further information about the error condition. Note: SQLCODE is a deprecated SQL standard; its successor is SQLSTATE.